Index: code/branches/cpp11_v2/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/branches/cpp11_v2/src/modules/notifications/NotificationDispatcher.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/notifications/NotificationDispatcher.h	(revision 10817)
@@ -79,6 +79,6 @@
             virtual ~NotificationDispatcher(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a NotificationDispatcher object through XML.
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a NotificationDispatcher object through XML.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: code/branches/cpp11_v2/src/modules/notifications/NotificationManager.h
===================================================================
--- code/branches/cpp11_v2/src/modules/notifications/NotificationManager.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/notifications/NotificationManager.h	(revision 10817)
@@ -120,5 +120,5 @@
             virtual ~NotificationManager();
 
-            virtual void preDestroy(void); // Is called before the object is destroyed.
+            virtual void preDestroy(void) override; // Is called before the object is destroyed.
 
             /**
@@ -128,6 +128,6 @@
             static NotificationManager& getInstance() { return Singleton<NotificationManager>::getInstance(); } // tolua_export
 
-            virtual bool registerNotification(const std::string& message, const std::string& sender, notificationMessageType::Value type);
-            virtual bool executeCommand(notificationCommand::Value command, const std::string& sender);
+            virtual bool registerNotification(const std::string& message, const std::string& sender, notificationMessageType::Value type) override;
+            virtual bool executeCommand(notificationCommand::Value command, const std::string& sender) override;
 
             bool registerNotification(Notification* notification); // Registers a Notification within the NotificationManager.
Index: code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/notifications/NotificationQueue.h	(revision 10817)
@@ -97,8 +97,8 @@
             virtual ~NotificationQueue();
 
-            virtual void tick(float dt); // To update from time to time.
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-            virtual void changedName(void);
+            virtual void tick(float dt) override; // To update from time to time.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+            virtual void changedName(void) override;
             
             void update(void); // Updates the NotificationQueue.
Index: code/branches/cpp11_v2/src/modules/notifications/NotificationQueueCEGUI.h
===================================================================
--- code/branches/cpp11_v2/src/modules/notifications/NotificationQueueCEGUI.h	(revision 10765)
+++ code/branches/cpp11_v2/src/modules/notifications/NotificationQueueCEGUI.h	(revision 10817)
@@ -73,7 +73,7 @@
             virtual ~NotificationQueueCEGUI();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedName(void);
+            virtual void changedName(void) override;
 
             void destroy(bool noGraphics = false); // Destroys the NotificationQueue.
@@ -136,11 +136,11 @@
             void registerVariables();
             
-            virtual void create(void); // Creates the NotificationQueue in lua.
+            virtual void create(void) override; // Creates the NotificationQueue in lua.
             
-            virtual void notificationPushed(Notification* notification); // Is called by the NotificationQueue when a Notification was pushed
-            virtual void notificationPopped(void); // Is called by the NotificationQueue when a Notification was popped.
-            virtual void notificationRemoved(unsigned int index); // Is called when a Notification was removed.
+            virtual void notificationPushed(Notification* notification) override; // Is called by the NotificationQueue when a Notification was pushed
+            virtual void notificationPopped(void) override; // Is called by the NotificationQueue when a Notification was popped.
+            virtual void notificationRemoved(unsigned int index) override; // Is called when a Notification was removed.
             
-            virtual void clear(bool noGraphics = false); // Clears the NotificationQueue by removing all NotificationContainers.
+            virtual void clear(bool noGraphics = false) override; // Clears the NotificationQueue by removing all NotificationContainers.
 
         protected:
